<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: kgraphinterface/src/kgraphinterface.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li id="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="nav">
<a class="el" href="dir_13bf8767770a07be1dadcd74264f09a2.html">kgraphinterface</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_cd0dc5b52ac10de8cdc9686ef8f66f03.html">src</a></div>
<h1>kgraphinterface.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00002"></a>00002 <span class="preprocessor">#ifndef _KGRAPHINTERFACE_H_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span><span class="preprocessor">#define _KGRAPHINTERFACE_H_</span>
<a name="l00004"></a>00004 <span class="preprocessor"></span>
<a name="l00005"></a>00005 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
<a name="l00006"></a>00006 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
<a name="l00007"></a>00007 <span class="preprocessor">#endif</span>
<a name="l00008"></a>00008 <span class="preprocessor"></span>
<a name="l00009"></a>00009 <span class="preprocessor">#include &lt;kapplication.h&gt;</span>
<a name="l00010"></a>00010 <span class="preprocessor">#include &lt;kparts/mainwindow.h&gt;</span>
<a name="l00011"></a>00011 
<a name="l00012"></a>00012 <span class="keyword">class </span>KToggleAction;
<a name="l00013"></a>00013 
<a name="l00022"></a><a class="code" href="classKGraphInterface.html">00022</a> <span class="keyword">class </span><a class="code" href="classKGraphInterface.html">KGraphInterface</a> : <span class="keyword">public</span> KParts::MainWindow
<a name="l00023"></a>00023 {
<a name="l00024"></a>00024     Q_OBJECT
<a name="l00025"></a>00025 <span class="keyword">public</span>:
<a name="l00029"></a>00029     <a class="code" href="classKGraphInterface.html#c71f9cbdca06084e6924cf4426f90eff">KGraphInterface</a>();
<a name="l00030"></a>00030 
<a name="l00034"></a>00034     <span class="keyword">virtual</span> <a class="code" href="classKGraphInterface.html#dfb364f37d13c1ef372df90818d4e2c0">~KGraphInterface</a>();
<a name="l00035"></a>00035 
<a name="l00039"></a>00039     <span class="keywordtype">void</span> <a class="code" href="classKGraphInterface.html#a3b49ca6ef5418039c0e4674fa320d8e">load</a>(<span class="keyword">const</span> KURL&amp; url);
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="keyword">protected</span>:
<a name="l00046"></a>00046     <span class="keywordtype">void</span> <a class="code" href="classKGraphInterface.html#76182cd4faa12c4142979e6c773483de">saveProperties</a>(KConfig *);
<a name="l00047"></a>00047 
<a name="l00053"></a>00053     <span class="keywordtype">void</span> <a class="code" href="classKGraphInterface.html#65cabf77a7b059f9811b5ab291db475a">readProperties</a>(KConfig *);
<a name="l00054"></a>00054 
<a name="l00055"></a>00055 <span class="keyword">private</span> slots:
<a name="l00056"></a>00056     <span class="keywordtype">void</span> fileNew();
<a name="l00057"></a>00057     <span class="keywordtype">void</span> fileOpen();
<a name="l00058"></a>00058     <span class="keywordtype">void</span> optionsShowToolbar();
<a name="l00059"></a>00059     <span class="keywordtype">void</span> optionsShowStatusbar();
<a name="l00060"></a>00060     <span class="keywordtype">void</span> optionsConfigureKeys();
<a name="l00061"></a>00061     <span class="keywordtype">void</span> optionsConfigureToolbars();
<a name="l00062"></a>00062 
<a name="l00063"></a>00063     <span class="keywordtype">void</span> applyNewToolbarConfig();
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 <span class="keyword">private</span>:
<a name="l00066"></a>00066     <span class="keywordtype">void</span> setupAccel();
<a name="l00067"></a>00067     <span class="keywordtype">void</span> setupActions();
<a name="l00068"></a>00068 
<a name="l00069"></a>00069 <span class="keyword">private</span>:
<a name="l00070"></a>00070     KParts::ReadWritePart *m_part;
<a name="l00071"></a>00071 
<a name="l00072"></a>00072     KToggleAction *m_toolbarAction;
<a name="l00073"></a>00073     KToggleAction *m_statusbarAction;
<a name="l00074"></a>00074 };
<a name="l00075"></a>00075 
<a name="l00076"></a>00076 <span class="preprocessor">#endif // _KGRAPHINTERFACE_H_</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:38 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
